umbrello: SelectDiagramDialog Class Reference

umbrello 2.37.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
SelectDiagramDialog Class Reference

`#include <selectdiagramdialog.h>`

Inheritance diagram for SelectDiagramDialog:

## Public Member Functions
| SelectDiagramDialog (QWidget *parent, Uml::DiagramType::Enum type, const QString &currentName, const QString excludeName)
| ~SelectDiagramDialog ()
Uml::ID::Type | currentID ()
Public Member Functions inherited from SinglePageDialogBase
| SinglePageDialogBase (QWidget *parent, bool withApplyButton=false, bool withSearchButton=false)
virtual | ~SinglePageDialogBase ()
virtual bool | apply ()

## Protected Attributes
SelectDiagramWidget * | m_widget

## Additional Inherited Members
Protected Slots inherited from SinglePageDialogBase
void | slotApply ()
void | slotOk ()
Protected Member Functions inherited from SinglePageDialogBase
virtual bool | validate ()

## Detailed Description

Provides dialog to select a diagram

Author
  Ralf Habacker ralf..nosp@m.haba.nosp@m.cker@.nosp@m.free.nosp@m.net.d.nosp@m.e

## Constructor & Destructor Documentation

## ◆ SelectDiagramDialog()

SelectDiagramDialog::SelectDiagramDialog | ( | QWidget * | parent,
|  | Uml::DiagramType::Enum | type,
|  | const QString & | currentName,
|  | const QString | excludeName
| ) |  |

## ◆ ~SelectDiagramDialog()

SelectDiagramDialog::~SelectDiagramDialog | ( |  | ) |

## Member Function Documentation

## ◆ currentID()

Uml::ID::Type SelectDiagramDialog::currentID | ( |  | ) |

## Member Data Documentation

## ◆ m_widget

SelectDiagramWidget* SelectDiagramDialog::m_widget
| protected

The documentation for this class was generated from the following files:

- umbrello/dialogs/selectdiagramdialog.h
- umbrello/dialogs/selectdiagramdialog.cpp